/*
 * \file config.h
 * This file is part of LyX, the document processor.
 * Licence details can be found in the file COPYING.
 *
 * This is the compilation configuration file for LyX.
 * It was generated by cmake.
 * You might want to change some of the defaults if something goes wrong
 * during the compilation.
 */

#ifndef _CONFIG_H
#define _CONFIG_H

// obligatory flags
#define QT_NO_STL 1
#define QT_NO_KEYWORDS 1
#define HAVE_ICONV 1

#include "configCompiler.h"

#ifdef LYX_ENABLE_PCH
#include "pcheaders.h"
#endif


#define PACKAGE "lyx"
#define PACKAGE_VERSION "2.3.6.1"
#define PACKAGE_STRING "LyX 2.3.6.1"
#define PACKAGE_BUGREPORT "lyx-devel@lists.lyx.org"
#define VERSION_INFO "CMake Build"
#define LYX_DIR_VER "LYX_DIR_23x"
#define LYX_USERDIR_VER "LYX_USERDIR_23x"
#define LYX_MAJOR_VERSION 2
#define LYX_MINOR_VERSION 3
#define LYX_RELEASE_LEVEL 6
#define LYX_RELEASE_PATCH 1

#define PROGRAM_SUFFIX ""
#define LYX_ABS_INSTALLED_DATADIR "/usr"
#define LYX_ABS_INSTALLED_LOCALEDIR "/usr/share/locale"
#define LYX_ABS_TOP_SRCDIR "/home/iurt/rpmbuild/BUILD/lyx-2.3.6.1"

#define USE_POSIX_PACKAGING 1
/* #undef USE_WINDOWS_PACKAGING */
/* #undef USE_MACOSX_PACKAGING */
#define HAVE_DEF_PATH_MAX 1

/* #undef WORDS_BIGENDIAN */

/* #undef LYX_MERGE_FILES */

#define LYX_USE_STD_REGEX 1

// Define if callstack can be printed
#define LYX_CALLSTACK_PRINTING 1

// Define if std::string uses copy-on-write
/* #undef STD_STRING_USES_COW */

// use libc++ provided by llvm instead of GNU libstdc++
/* #undef USE_LLVM_LIBCPP */

// use GNU libstdc++ with C++11 ABI
#define USE_GLIBCXX_CXX11_ABI 1

/* #undef Z_PREFIX */

// Defined if QT=QT5 uses X11
#define QPA_XCB 1

// Define if you have the Qt5X11Extras module
#define HAVE_QT5_X11_EXTRAS 1

#define USE_ENCHANT 1


/* #undef AIKSAURUSLIB_FOUND */
#ifdef AIKSAURUSLIB_FOUND
#define HAVE_LIBAIKSAURUS 1
#define AIKSAURUS_H_LOCATION ""
#endif

#define LYX_NLS 1
#ifdef LYX_NLS
#define ENABLE_NLS 1
#endif

#define HAVE_DEF_MAKE_UNIQUE 1

// Define to 1 if std::call_once is supported by the compiler
#define LYX_USE_STD_CALL_ONCE 1

// Define to 1 if enchant is version 2.x at least
#define HAVE_ENCHANT2 1

#endif // config.h guard

#define MYTHES_H_LOCATION </home/iurt/rpmbuild/BUILD/lyx-2.3.6.1/3rdparty/mythes/1.2.5/mythes.hxx>

// Unguarded cleanup of global namespace:

#ifdef ColorMode
#undef ColorMode
#endif

#ifdef FocusOut
#undef FocusOut
#endif

#ifdef FocusIn
#undef FocusIn
#endif

#ifdef KeyRelease
#undef KeyRelease
#endif

#ifdef CursorShape
#undef CursorShape
#endif

#ifdef IGNORE
#undef IGNORE
#endif

#ifdef GrayScale
#undef GrayScale
#endif

#ifdef Status
#undef Status
#endif

#ifdef IN
#undef IN
#endif

#ifdef KeyPress
#undef KeyPress
#endif

