/*
 * \file configCompiler.h
 * This file is part of LyX, the document processor.
 * Licence details can be found in the file COPYING.
 *
 * This is the compilation configuration file for LyX.
 * It was generated by cmake.
 * You might want to change some of the defaults if something goes wrong
 * during the compilation.
 */

#ifndef _CONFIG_COMPILER_H
#define _CONFIG_COMPILER_H


/* #undef HAVE_ISTREAM */
/* #undef HAVE_OSTREAM */
/* #undef HAVE_IOS */
/* #undef HAVE_LOCALE */

#include "configIncludes.h"

#include "configFunctions.h"

/* #undef HAVE_STD_COUNT */
/* #undef HAVE_ASPRINTF */
/* #undef HAVE_WPRINTF */
#define HAVE_SNPRINTF 1
#define HAVE_POSIX_PRINTF 1
#define HAVE_INTMAX_T 1
/* #undef HAVE_INTTYPES_H_WITH_UINTMAX */
/* #undef CXX_GLOBAL_CSTD */
/* #undef HAVE_WPRINTF */
#define HAVE_LONG_DOUBLE 1
#define HAVE_LONG_LONG 1
#define HAVE_WCHAR_T 1
/* #undef HAVE_WINT_T */
/* #undef HAVE_STDINT_H_WITH_UINTMAX */
#define HAVE_LC_MESSAGES 1    
/* #undef HAVE_SSTREAM */
#define HAVE_ARGZ_H 1
#define HAVE_MAGIC_H 1
/* #undef SIZEOF_WCHAR_T_IS_2 */
#define SIZEOF_WCHAR_T_IS_4 1
/* #undef SIZEOF_LONG_LONG_GREATER_THAN_SIZEOF_LONG */

#ifdef SIZEOF_WCHAR_T_IS_2
#  define SIZEOF_WCHAR_T 2
#else
#  ifdef SIZEOF_WCHAR_T_IS_4
#    define SIZEOF_WCHAR_T 4
#  endif
#endif

#ifdef HAVE_LONG_LONG
#ifdef SIZEOF_LONG_LONG_GREATER_THAN_SIZEOF_LONG
#define LYX_USE_LONG_LONG
#endif
#endif

#define GETTEXT_FOUND 1

/* #undef HAVE_ALLOCA */
/* #undef HAVE_SYMBOL_ALLOCA */
#if defined(HAVE_SYMBOL_ALLOCA) && !defined(HAVE_ALLOCA)
#define HAVE_ALLOCA
#endif

/* whether hunspell C++ (rather than C) ABI is provided */
/* #undef HAVE_HUNSPELL_CXXABI */

/* #undef HAVE_ICONV_CONST */
#ifdef HAVE_ICONV_CONST
#define ICONV_CONST const
#else
#define ICONV_CONST
#endif

#ifdef _MSC_VER
#undef HAVE_OPEN  // use _open instead
#define pid_t int
#define PATH_MAX 512
#endif

#ifdef _WIN32 
#undef HAVE_MKDIR // use _mkdir instead
#endif

#define BOOST_ALL_NO_LIB 1

#ifdef _DEBUG
#  define ENABLE_ASSERTIONS 1
#endif

#ifndef ENABLE_ASSERTIONS
#  define BOOST_DISABLE_ASSERTS 1
#endif
#define BOOST_ENABLE_ASSERT_HANDLER 1

//#define BOOST_DISABLE_THREADS 1
#define BOOST_NO_WSTRING 1

#ifdef __CYGWIN__
#  define _DEFAULT_SOURCE
#  define BOOST_POSIX 1
#  define BOOST_POSIX_API 1
#  define BOOST_POSIX_PATH 1
#endif

#if defined(HAVE_WCHAR_T) && SIZEOF_WCHAR_T == 4
#  define USE_WCHAR_T
#endif

#if defined(MAKE_INTL_LIB) && defined(_MSC_VER)
#define __attribute__(x)
#define inline
#define uintmax_t UINT_MAX
#endif

#ifdef _MSC_VER
#ifdef HAVE_CHMOD
#undef HAVE_CHMOD
#endif
#endif

#ifdef HAVE_CHMOD
#define HAVE_MODE_T
#endif

/* #undef _GLIBCXX_DEBUG */
/* #undef _GLIBCXX_DEBUG_PEDANTIC */

#endif
